From: [email-masked] (Zhang)
Date: Tue, 30 Nov 93 08:20:21 CST

Dear Sirs,

The documents I sent to my daughter for nonimmigration visa application
included a copy of approval note on my permanent residency, I134 form,
an employment verification letter from my company and my bank statement
[A[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C[C.
After the American consul reviewed these documents he told my mother '
your granddaughter should  apply[D[D[D[D[D[D.[D[D apply an immigration visa. We can give you a
nonimmigration visa right away, but we just can't give her, because her
father is PR now.' He did not have any idea how long the process which
my daughter applies the immigration visa will take, just advised them
to go to American consulate in Guang Zhou. Here is the whole story I
heard from my mother. There is any suggestion and solution about this
problem please let me know. I will appreciate.

Thank you

Zhenhan Zhang